import { StyleSheet } from "react-native";
import {
  appColors,
  appFonts,
  fontSizes,
  windowHeight,
  windowWidth,
} from "@src/themes";
import { external } from "../../../../styles/externalStyle";

const styles = StyleSheet.create({
  container: {
    backgroundColor: appColors.whiteColor,
  },
  safeAreaContainer: {
    ...external.fx_1,
    backgroundColor: appColors.whiteColor,
  },
  loadingView: {
    flex: 1,
    alignItems: "center",
    justifyContent: "center",
  },
  mainView: {
    flex: 1,
    alignItems: "center",
    justifyContent: "center",
  },
  imag: {
    height: windowHeight(240),
    width: windowHeight(240),
  },
  signInText: {
    fontFamily: appFonts.medium,
    color: appColors.primaryText,
    fontSize: fontSizes.FONT24,
  },
  accountText: {
    fontFamily: appFonts.regular,
    color: appColors.regularText,
    textAlign: "center",
    marginHorizontal: windowWidth(25),
    marginTop: windowHeight(10),
  },
  buttonMainView: {
    width: "100%",
    marginTop: windowHeight(10),
  },
  buttonView: {
    marginHorizontal: windowWidth(18),
    marginTop: windowHeight(25),
  },
  mainView: {
    height: windowHeight(50),
    width: "100%",
    justifyContent: "space-between",
    alignItems: "center",
  },
  imageView: {
    height: windowHeight(30),
  },
  imageStyle: {
    width: windowHeight(30),
    height: windowHeight(30),
    resizeMode: "cover",
    borderRadius: windowHeight(45),
  },
  textView: {
    alignItems: "center",
    justifyContent: "center",
    width: windowHeight(30),
    height: windowHeight(30),
    backgroundColor: appColors.whiteColor,
    borderRadius: windowHeight(74),
  },
  round: {
    alignItems: "center",
    justifyContent: "center",
    width: windowHeight(25),
    height: windowHeight(25),
    borderRadius: windowHeight(74),
  },
  divider: {
    height: windowHeight(16),
    backgroundColor: appColors.gray,
    width: windowWidth(2),
  },
  charText: {
    color: appColors.primary,
    fontFamily: appFonts.semiBold,
    fontSize: fontSizes.FONT20,
  },
  selfName: {
    fontFamily: appFonts.bold,
    fontSize: fontSizes.FONT25,
    color: appColors.blackColor,
  },
  text: {
    fontFamily: appFonts.regular,
    color: appColors.gray,
    marginHorizontal: windowWidth(3),
  },
  viewText: {
    flexDirection: "column",
    justifyContent: "center",
  },
  box: {
    height: windowHeight(43),
    width: windowHeight(90),
    borderRadius: windowHeight(35),
    paddingHorizontal: windowWidth(10),
    paddingVertical: windowHeight(6),
    alignItems: "center",
    justifyContent: "space-between",
    marginHorizontal: windowHeight(55),
  },
});
export { styles };
